| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
Bplot Class Reference

`#include <Bplot.h>`

## Public Member Functions
| Bplot ()
| Bplot (long npage, long nrow, long ncol)
| Bplot (Bstring &filename)
| ~Bplot ()
double & | operator[] (long i)
Bstring & | title ()
void | title (const Bstring &t)
void | title (const char *t)
void | page_size (long w, long h)
long | page_width ()
long | page_height ()
void | size (long w, long h)
long | width ()
long | height ()
void | origin (long l, long b)
long | left ()
long | bottom ()
void | pages (long n)
long | pages ()
void | rows (long n)
long | rows ()
void | columns (long n)
long | columns ()
Bpage & | page (long i)
double * | data_pointer ()
void | limits ()
void | add (Bplot *p)
void | multiply (double d)
double | cut (long icol, double threshold, int dir=1)
void | write_tsv (Bstring &filename)
void | resolution_display (double *fsccut=NULL, double *dprcut=NULL)

## Detailed Description

Definition at line 146 of file Bplot.h.

## Constructor & Destructor Documentation

## ◆ Bplot() [1/3]

Bplot::Bplot | ( |  | ) |
| inline

Definition at line 174 of file Bplot.h.

## ◆ Bplot() [2/3]

Bplot::Bplot | ( | long | npage,
|  | long | nrow,
|  | long | ncol
| ) |  |
| inline

Definition at line 175 of file Bplot.h.

## ◆ Bplot() [3/3]

Bplot::Bplot | ( | Bstring & | filename | ) |

Definition at line 30 of file Bplot.cpp.

## ◆ ~Bplot()

Bplot::~Bplot | ( |  | ) |
| inline

Definition at line 179 of file Bplot.h.

## Member Function Documentation

## ◆ add()

void Bplot::add | ( | Bplot * | p | ) |
| inline

Definition at line 240 of file Bplot.h.

## ◆ bottom()

long Bplot::bottom | ( |  | ) |
| inline

Definition at line 200 of file Bplot.h.

## ◆ columns() [1/2]

void Bplot::columns | ( | long | n | ) |
| inline

Definition at line 209 of file Bplot.h.

## ◆ columns() [2/2]

long Bplot::columns | ( |  | ) |
| inline

Definition at line 210 of file Bplot.h.

## ◆ cut()

double Bplot::cut | ( | long | icol,
|  | double | threshold,
|  | int | dir = `1`
| ) |  |
| inline

Definition at line 246 of file Bplot.h.

## ◆ data_pointer()

double* Bplot::data_pointer | ( |  | ) |
| inline

Definition at line 218 of file Bplot.h.

## ◆ height()

long Bplot::height | ( |  | ) |
| inline

Definition at line 197 of file Bplot.h.

## ◆ left()

long Bplot::left | ( |  | ) |
| inline

Definition at line 199 of file Bplot.h.

## ◆ limits()

void Bplot::limits | ( |  | ) |
| inline

Definition at line 219 of file Bplot.h.

## ◆ multiply()

void Bplot::multiply | ( | double | d | ) |
| inline

Definition at line 243 of file Bplot.h.

## ◆ operator[]()

double& Bplot::operator[] | ( | long | i | ) |
| inline

Definition at line 184 of file Bplot.h.

## ◆ origin()

void Bplot::origin | ( | long | l,
|  | long | b
| ) |  |
| inline

Definition at line 198 of file Bplot.h.

## ◆ page()

Bpage& Bplot::page | ( | long | i | ) |
| inline

Definition at line 211 of file Bplot.h.

## ◆ page_height()

long Bplot::page_height | ( |  | ) |
| inline

Definition at line 194 of file Bplot.h.

## ◆ page_size()

void Bplot::page_size | ( | long | w,
|  | long | h
| ) |  |
| inline

Definition at line 192 of file Bplot.h.

## ◆ page_width()

long Bplot::page_width | ( |  | ) |
| inline

Definition at line 193 of file Bplot.h.

## ◆ pages() [1/2]

void Bplot::pages | ( | long | n | ) |
| inline

Definition at line 201 of file Bplot.h.

## ◆ pages() [2/2]

long Bplot::pages | ( |  | ) |
| inline

Definition at line 206 of file Bplot.h.

## ◆ resolution_display()

void Bplot::resolution_display | ( | double * | fsccut = `NULL`,
|  | double * | dprcut = `NULL`
| ) |  |

Definition at line 114 of file Bplot.cpp.

## ◆ rows() [1/2]

void Bplot::rows | ( | long | n | ) |
| inline

Definition at line 207 of file Bplot.h.

## ◆ rows() [2/2]

long Bplot::rows | ( |  | ) |
| inline

Definition at line 208 of file Bplot.h.

## ◆ size()

void Bplot::size | ( | long | w,
|  | long | h
| ) |  |
| inline

Definition at line 195 of file Bplot.h.

## ◆ title() [1/3]

Bstring& Bplot::title | ( |  | ) |
| inline

Definition at line 189 of file Bplot.h.

## ◆ title() [2/3]

void Bplot::title | ( | const Bstring & | t | ) |
| inline

Definition at line 190 of file Bplot.h.

## ◆ title() [3/3]

void Bplot::title | ( | const char * | t | ) |
| inline

Definition at line 191 of file Bplot.h.

## ◆ width()

long Bplot::width | ( |  | ) |
| inline

Definition at line 196 of file Bplot.h.

## ◆ write_tsv()

void Bplot::write_tsv | ( | Bstring & | filename | ) |
| inline

Definition at line 267 of file Bplot.h.

The documentation for this class was generated from the following files:

- /Users/bernard/b20/bsoft/include/Bplot.h
- /Users/bernard/b20/bsoft/src/util/Bplot.cpp